// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Engine/GameInstance.h"
#include "EventManagerDemo/Public/EventManager.h"
#include "DemoGameInstance.generated.h"

UCLASS()
class EVENTMANAGERDEMO_API UDemoGameInstance : public UGameInstance
{
	GENERATED_BODY()

public:
	UDemoGameInstance();

	void Init() override;
	void Shutdown() override;

	void StartGameInstance() override;

	void Tick(float DeltaSeconds);

	class EventManager& GetEventManager() { return EventManager::getInstance(); }

private:
	bool initialized = false;
};
